### Virtual Method

# Ide DeployStrategy create_runner_async

#### Declaration

    void
    create_runner_async (
      IdeDeployStrategy* self,
      IdePipeline* pipeline,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Gets an `IdeRunner` that runs apps deployed to the device, if a runner other than the default is needed.

Available since: | 41

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.